Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream.util
Interface XMLPullReader

All Superinterfaces:
  XMLReader

All Known Implementing Classes:
  XMLPullReaderBase

Deprecated. please use java standard StAX api

    public interface XMLPullReader

extends XMLReader

Defines an interface that wraps a SAX XMLReader and provides extra methods needed to parse SAX events in a pull mode. These methods are provided by the Apache implementation of the SAX XMLReader

Since:
  XMLInputStream 1.0
See Also:
  `XMLOutputStream`

Method Summary
`boolean` | `parseSome()` Deprecated. a method that allows iterative parsing of a document
`boolean` | `parseSomeSetup(InputSource input)` Deprecated. a prepare method for the parse
`boolean` | `parseSomeSetup(String systemId)` Deprecated. a prepare method for the parse

Methods inherited from interface org.xml.sax.XMLReader
`getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, parse, parse, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Method Detail

### parseSomeSetup

    boolean parseSomeSetup(InputSource input)
                           throws IOException,
                                  SAXException

  Deprecated.
  a prepare method for the parse

  Parameters:
    `input` - the input to parse
  Throws:
    `IOException`
    `SAXException`

### parseSomeSetup

    boolean parseSomeSetup(String systemId)
                           throws IOException,
                                  SAXException

  Deprecated.
  a prepare method for the parse

  Parameters:
    `systemId` - the data to parse
  Throws:
    `IOException`
    `SAXException`

### parseSome

    boolean parseSome()
                      throws SAXException

  Deprecated.
  a method that allows iterative parsing of a document

  Returns:
    true if data was parsed, false if no more data to parse
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD